#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Sep 24 23:31:00 2020

@author: usingh
"""

"""
available translation tables compiled from https://www.ncbi.nlm.nih.gov/Taxonomy/Utils/wprintgc.cgi?chapter=cgencodes
"""
translation_tables_dict={
    "source":"https://www.ncbi.nlm.nih.gov/Taxonomy/Utils/wprintgc.cgi?chapter=cgencodes",
    "1": {
        "name": "Standard (transl_table=1)",
        "start": [
            "TTG",
            "CTG",
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "2": {
        "name": "Vertebrate Mitochondrial (transl_table=2)",
        "start": [
            "ATT",
            "ATC",
            "ATA",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "AGA",
            "AGG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "*",
            "AGC": "S",
            "AGG": "*",
            "AGT": "S",
            "ATA": "M",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "3": {
        "name": "Yeast Mitochondrial (transl_table=3)",
        "start": [
            "ATA",
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "M",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "T",
            "CTC": "T",
            "CTG": "T",
            "CTT": "T",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "4": {
        "name": "Mold Mitochondrial; Protozoan Mitochondrial; Coelenterate Mitochondrial; Mycoplasma; Spiroplasma (transl_table=4)",
        "start": [
            "TTA",
            "TTG",
            "CTG",
            "ATT",
            "ATC",
            "ATA",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "5": {
        "name": "Invertebrate Mitochondrial (transl_table=5)",
        "start": [
            "TTG",
            "ATT",
            "ATC",
            "ATA",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "S",
            "AGC": "S",
            "AGG": "S",
            "AGT": "S",
            "ATA": "M",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "6": {
        "name": "Ciliate Nuclear; Dasycladacean Nuclear; Hexamita Nuclear (transl_table=6)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "Q",
            "TAC": "Y",
            "TAG": "Q",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "7": {
        "name": "Echinoderm Mitochondrial; Flatworm Mitochondrial (transl_table=9)",
        "start": [
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "N",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "S",
            "AGC": "S",
            "AGG": "S",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "8": {
        "name": "Euplotid Nuclear (transl_table=10)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "C",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "9": {
        "name": "Bacterial, Archaeal and Plant Plastid (transl_table=11)",
        "start": [
            "TTG",
            "CTG",
            "ATT",
            "ATC",
            "ATA",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "10": {
        "name": "Alternative Yeast Nuclear (transl_table=12)",
        "start": [
            "CTG",
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "S",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "11": {
        "name": "Ascidian Mitochondrial (transl_table=13)",
        "start": [
            "TTG",
            "ATA",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "G",
            "AGC": "S",
            "AGG": "G",
            "AGT": "S",
            "ATA": "M",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "12": {
        "name": "Alternative Flatworm Mitochondrial (transl_table=14)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TAG"
        ],
        "table": {
            "AAA": "N",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "S",
            "AGC": "S",
            "AGG": "S",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "Y",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "13": {
        "name": "Chlorophycean Mitochondrial (transl_table=16)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TAA",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "L",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "14": {
        "name": "Trematode Mitochondrial (transl_table=21)",
        "start": [
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "N",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "S",
            "AGC": "S",
            "AGG": "S",
            "AGT": "S",
            "ATA": "M",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "15": {
        "name": "Scenedesmus obliquus Mitochondrial Code (transl_table=22)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TCA",
            "TAA",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "L",
            "TAT": "Y",
            "TCA": "*",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "16": {
        "name": "Thraustochytrium mitochondrial code (transl_table=23)",
        "start": [
            "ATT",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TTA",
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "*",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "17": {
        "name": "Pterobranchia Mitochondrial (transl_table=24)",
        "start": [
            "TTG",
            "CTG",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "S",
            "AGC": "S",
            "AGG": "K",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "18": {
        "name": "Candidate Division SR1 and Gracilibacteria (transl_table=25)",
        "start": [
            "TTG",
            "ATG",
            "GTG"
        ],
        "stop": [
            "TAA",
            "TAG"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "G",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "19": {
        "name": "Pachysolen tannophilus Nuclear Code (transl_table=26)",
        "start": [
            "CTG",
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "A",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "*",
            "TAC": "Y",
            "TAG": "*",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "20": {
        "name": "Karyorelict Nuclear (transl_table=27)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "Q",
            "TAC": "Y",
            "TAG": "Q",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "W",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "21": {
        "name": "Condylostoma Nuclear (transl_table=28)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TAA",
            "TAG",
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "Y",
            "TAC": "Y",
            "TAG": "Y",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "22": {
        "name": "Mesodinium Nuclear (transl_table=29)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "Y",
            "TAC": "Y",
            "TAG": "Y",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    },
    "23": {
        "name": "Peritrich Nuclear (transl_table=30)",
        "start": [
            "ATG"
        ],
        "stop": [
            "TGA"
        ],
        "table": {
            "AAA": "K",
            "AAC": "N",
            "AAG": "K",
            "AAT": "N",
            "ACA": "T",
            "ACC": "T",
            "ACG": "T",
            "ACT": "T",
            "AGA": "R",
            "AGC": "S",
            "AGG": "R",
            "AGT": "S",
            "ATA": "I",
            "ATC": "I",
            "ATG": "M",
            "ATT": "I",
            "CAA": "Q",
            "CAC": "H",
            "CAG": "Q",
            "CAT": "H",
            "CCA": "P",
            "CCC": "P",
            "CCG": "P",
            "CCT": "P",
            "CGA": "R",
            "CGC": "R",
            "CGG": "R",
            "CGT": "R",
            "CTA": "L",
            "CTC": "L",
            "CTG": "L",
            "CTT": "L",
            "GAA": "E",
            "GAC": "D",
            "GAG": "E",
            "GAT": "D",
            "GCA": "A",
            "GCC": "A",
            "GCG": "A",
            "GCT": "A",
            "GGA": "G",
            "GGC": "G",
            "GGG": "G",
            "GGT": "G",
            "GTA": "V",
            "GTC": "V",
            "GTG": "V",
            "GTT": "V",
            "TAA": "E",
            "TAC": "Y",
            "TAG": "E",
            "TAT": "Y",
            "TCA": "S",
            "TCC": "S",
            "TCG": "S",
            "TCT": "S",
            "TGA": "*",
            "TGC": "C",
            "TGG": "W",
            "TGT": "C",
            "TTA": "L",
            "TTC": "F",
            "TTG": "L",
            "TTT": "F"
        }
    }
}